Cygport Reference Manual

### TABLE OF CONTENTS

- gnome2.cygclass

- gnome2_autoreconf
- GNOME2_NO_AUTOGEN
- gnome2_configure
- gnome2_compile
- src_compile (gnome2)

## gnome2.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit gnome2

DESCRIPTION

The GNOME project provides a full-featured X desktop with a wide variety of applications, built on an object-oriented library stack based on GLib and the GTK+ toolkit. Most packages are written in C and are built with an autotools-based system with some additional tools.

This cygclass manages the building of most GNOME-based packages.

INHERITS

autotools.cygclass, gnome.org.cygclass

## gnome2_autoreconf

[ Top ] [ gnome2.cygclass ] [ Compile Functions ]

SYNOPSIS

      gnome2_autoreconf

DESCRIPTION

Updates the build system with gnome-autogen.sh. gnome2_autoreconf must be run in the directory containing the top-level configure.ac or configure.in (usually $S).

WARNING

Skipping this step is strongly discouraged. Patches to configure.ac, aclocal macros, or Makefile.am files will not take effect until their tools have been regenerated. Also, Cygwin's libtool package often includes patches which are not yet available in the latest upstream release, so libraries may not be built optimally, or even correctly, without this step having been run. The same applies for some of the GNOME build tools as well.

REQUIRES

autoconf, automake, gettext-devel, gnome-common, gnome-doc-utils, gtk-doc, intltool, libglib2.0-devel, libtool, pkg-config.

SEE ALSO

cygautoreconf

## GNOME2_NO_AUTOGEN

[ Top ] [ gnome2.cygclass ] [ Variables ]

DESCRIPTION

By default, gnome-autogen.sh will retool the working directory's and any subdirectories containing a configure.ac/configure.in which may be configured separately with an AC_CONFIG_SUBDIRS. If a subdirectory need not be retooled (e.g. it will not built for whatever reason), or it does not use autotools (e.g. the libdb included in evolution), define this variable to the subdirectories to skip, relative to the directory where gnome2_autoreconf will be run (usually $S).

## gnome2_configure

[ Top ] [ gnome2.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      gnome2_configure [CONFIGURE_FLAGS]

DESCRIPTION

Calls cygconf with the following options:

- --enable-gtk-doc: create and install API docs (native builds only)
- --disable-schemas-install: GConf schemas are still installed, but are registered with postinstall and preremove scripts
- --disable-scrollkeeper: Scrollkeeper is obsolete

All arguments to gnome2_configure are passed to cygconf as configure flags.

## gnome2_compile

[ Top ] [ gnome2.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      gnome2_compile [CONFIGURE_FLAGS]

DESCRIPTION

Calls gnome2_configure followed by cygmake. All arguments to gnome2_compile are passed as configure flags.

## src_compile (gnome2)

[ Top ] [ gnome2.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${S}
            gnome2_autoreconf
            cd ${B}
            gnome2_configure
            cygmake
    }